import { Component, Input } from '@angular/core';

@Component({
  selector: 'side-panel',
  templateUrl: 'side-panel.component.html',
  styleUrls: ['side-panel.component.scss']
})


export class SidePanelComponent  {
  @Input() public visible: boolean;
  @Input() public collapsed: boolean;
  @Input() public collapsable: boolean;

  constructor() {
    this.collapsable = false;
  }

  handleToggleClick(event) {
    if (this.collapsable) {
      this.collapsed = !this.collapsed;
    }
  }
}
